Subject: [Fot] TR3 Prices

From: "[email-masked]" <[email-masked]>
Date: Wed, 6 Nov 2013 04:17:29 -0800 (PST)

Some very good points have been made regarding the value and pricing of a
"road warrior" TR3. I believe everyone agrees classic cars in general have
been going up. 

The TR3's like many other cars have been selling in a wide
range. For what it's worth the current average selling prices (excluding
the occasional high and the low) are somewhere in the $15,000.00 - $ 30,000.00
range. 

I personally agree that passing on a legacy gets a substantial
discount...if I could only talk my dad into that !

Cheers all, Mike. 
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive